Beta
This API is in beta. Endpoints and response shapes may change as we iterate. For questions or feedback, email support@smartpricingtable.com.
Include your API key in the Authorization header:
You can create and manage API keys from your profile settings.
List endpoints return paginated results. Include page and limit query parameters to control which page of results you receive.
| Parameter | Type | Default | Description |
|---|---|---|---|
| page | integer | 1 | Page number (starts at 1) |
| limit | integer | 20 | Items per page (1–100) |
Every list response includes a pagination object alongside the data array:
{
"data": [ ... ],
"pagination": {
"page": 1,
"limit": 20,
"total": 150,
"pages": 8
}
}Retrieve a paginated list of proposals for the authenticated user's organization
falsedefaulttrueanydescdefaultasccreated_atdefaultupdated_atnamestatusdraftsentwonlostcancelledDRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED{
"data": [
{
"created_at": "example-string",
"created_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"id": "example-string",
"name": "example-string",
"status": "DRAFT",
"updated_at": "example-string",
"updated_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"archived": true,
"archived_at": "example-string",
"cached_totals": {
"annually": {
"max": 100,
"min": 100
},
"currency": "example-string",
"monthly": {
"max": 100,
"min": 100
},
"once": {
"max": 100,
"min": 100
},
"quarterly": {
"max": 100,
"min": 100
},
"updated_at": "example-string"
},
"is_starred": true,
"is_template": true,
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"status_detail": {
"marked_as_won_method": "manual"
}
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Create a new proposal for the user's organization
{
"name": "example-string",
"custom_variables": [
{
"id": "example-string",
"label": "example-string",
"order": 100,
"type": "single-line",
"value": "example-string",
"created_at": "example-string",
"options": [
"example-string"
],
"required": true,
"source": "example-string",
"who_provides": "we-do"
}
],
"design": {
"backgrounds": {
"main": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
},
"page": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
}
},
"colors": {
"group_heading": {
"background": "example-string",
"checkbox": "example-string",
"checkmark": "example-string",
"quantity": "example-string",
"quantity_font": "example-string",
"text": "example-string"
},
"logo": {
"background": "example-string",
"divider_line": "example-string",
"url": "example-string"
},
"primary_button_background": "example-string",
"primary_button_border_color": "example-string",
"primary_button_color": "example-string",
"proposal_header": {
"background": "example-string",
"text": "example-string"
},
"proposal_navigation": {
"background": "example-string",
"highlight_border": "example-string",
"highlight_color": "example-string",
"link": "example-string",
"selected_link": "example-string"
},
"secondary_button_background": "example-string",
"secondary_button_border_color": "example-string",
"secondary_button_color": "example-string"
},
"fonts": {
"button": {
"bold": true,
"family": "example-string"
},
"content": {
"bold": true,
"family": "example-string"
},
"default": {
"bold": true,
"family": "example-string",
"size": "example-string"
},
"group_heading": {
"bold": true,
"family": "example-string"
},
"heading": {
"bold": true,
"family": "example-string"
},
"line_item": {
"bold": true,
"family": "example-string"
},
"navigation": {
"bold": true,
"family": "example-string"
},
"pricing": {
"bold": true,
"family": "example-string"
}
},
"logo": {
"height": 100,
"url": "example-string",
"width": 100
},
"styling": {
"button_border_width": 100,
"button_radius": 100,
"button_shadow": 100,
"group_radius": 100,
"group_shadow": 100,
"page_radius": 100,
"quantity_radius": 100
}
},
"integrations": {
"crm": {
"client_id": "example-string",
"provider": "pipedrive",
"deal_id": "example-string",
"deal_metadata": {
"last_synced_at": "example-string",
"last_synced_price": 100,
"title": "example-string"
},
"deal_url": "example-string"
},
"payment": {
"settings": {
"deposit_amount": 100,
"deposit_percentage": 100,
"enabled": true,
"frequency": "example-string",
"type": "percentage"
}
}
},
"is_template": true,
"pages": [
{
"name": "example-string",
"children": [
{
"displayCost": "show_all",
"id": "example-string",
"isOptional": true,
"isSelected": true,
"kind": "group",
"lineItems": [],
"name": "example-string",
"selectionType": "single",
"archived_at": "example-string",
"created_at": "example-string",
"description": "example-string",
"hideQuantities": true,
"in_library": true,
"is_archived": true,
"linkedScopeId": "example-string",
"order_key": 100,
"quantity": {},
"startExpanded": true,
"tags": [
"example-string"
],
"updated_at": "example-string"
}
],
"content": "example-string",
"designSettings": {
"backgroundAttachment": "example-string",
"backgroundColor": "example-string",
"backgroundImage": "example-string",
"backgroundOpacity": 100,
"backgroundPosition": "example-string",
"backgroundRepeat": "example-string",
"backgroundSize": "example-string",
"fontColor": "example-string"
},
"discounts": [
{
"amount": "example-string",
"frequency": "example-string",
"id": "example-string",
"type": "fixed"
}
],
"displayHeading": true,
"excludeFromPdf": true,
"hideSection": true,
"hideTotalsBottom": true,
"hideTotalsTop": true,
"isScopeOfWork": true,
"isSignaturesPage": true,
"kind": "example-string",
"labels": {
"tax": "example-string"
},
"lineItemsStartExpanded": "none",
"markupPercentage": "example-string",
"order_key": 100,
"salesTaxPercentage": "example-string",
"scopeId": "example-string",
"screenshotUrl": "example-string",
"selectionType": "single",
"showCents": true,
"tags": [
"example-string"
]
}
],
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{
"emails": [
"example-string"
],
"event": "proposal_sent",
"id": "example-string"
}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{
"email": "example-string",
"full_name": "example-string",
"id": "example-string",
"role": "example-string"
}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"templateId": "example-string"
}{
"data": {
"id": "example-string"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Retrieve detailed information about a specific proposal including all items and groups
DRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED{
"id": "example-string",
"name": "example-string",
"org_id": "example-string",
"pages": [
{
"content": "example-string",
"name": "example-string",
"order_key": 100,
"children": [
{
"displayCost": "show_all",
"id": "example-string",
"isOptional": true,
"isSelected": true,
"kind": "group",
"lineItems": [],
"name": "example-string",
"selectionType": "single",
"archived_at": "example-string",
"created_at": "example-string",
"description": "example-string",
"hideQuantities": true,
"in_library": true,
"is_archived": true,
"linkedScopeId": "example-string",
"order_key": 100,
"quantity": {},
"startExpanded": true,
"tags": [
"example-string"
],
"updated_at": "example-string"
}
],
"created_at": "example-string",
"designSettings": {
"backgroundAttachment": "example-string",
"backgroundColor": "example-string",
"backgroundImage": "example-string",
"backgroundOpacity": 100,
"backgroundPosition": "example-string",
"backgroundRepeat": "example-string",
"backgroundSize": "example-string",
"fontColor": "example-string"
},
"discounts": [
{
"amount": "example-string",
"frequency": "example-string",
"id": "example-string",
"type": "fixed"
}
],
"displayHeading": true,
"excludeFromPdf": true,
"hideSection": true,
"hideTotalsBottom": true,
"hideTotalsTop": true,
"id": "example-string",
"isScopeOfWork": true,
"isSignaturesPage": true,
"kind": "example-string",
"labels": {
"tax": "example-string"
},
"lineItemsStartExpanded": "none",
"markupPercentage": "example-string",
"salesTaxPercentage": "example-string",
"scopeId": "example-string",
"screenshotUrl": "example-string",
"selectionType": "single",
"showCents": true,
"tags": [
"example-string"
],
"updated_at": "example-string"
}
],
"status": "DRAFT",
"archived": true,
"archived_at": "example-string",
"cached_totals": {
"annually": {
"max": 100,
"min": 100
},
"currency": "example-string",
"monthly": {
"max": 100,
"min": 100
},
"once": {
"max": 100,
"min": 100
},
"quarterly": {
"max": 100,
"min": 100
},
"updated_at": "example-string"
},
"created_at": "example-string",
"created_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"custom_variables": [
{
"id": "example-string",
"label": "example-string",
"order": 100,
"type": "single-line",
"value": "example-string",
"created_at": "example-string",
"options": [
"example-string"
],
"required": true,
"source": "example-string",
"who_provides": "we-do"
}
],
"design": {
"backgrounds": {
"main": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
},
"page": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
}
},
"colors": {
"group_heading": {
"background": "example-string",
"checkbox": "example-string",
"checkmark": "example-string",
"quantity": "example-string",
"quantity_font": "example-string",
"text": "example-string"
},
"logo": {
"background": "example-string",
"divider_line": "example-string",
"url": "example-string"
},
"primary_button_background": "example-string",
"primary_button_border_color": "example-string",
"primary_button_color": "example-string",
"proposal_header": {
"background": "example-string",
"text": "example-string"
},
"proposal_navigation": {
"background": "example-string",
"highlight_border": "example-string",
"highlight_color": "example-string",
"link": "example-string",
"selected_link": "example-string"
},
"secondary_button_background": "example-string",
"secondary_button_border_color": "example-string",
"secondary_button_color": "example-string"
},
"fonts": {
"button": {
"bold": true,
"family": "example-string"
},
"content": {
"bold": true,
"family": "example-string"
},
"default": {
"bold": true,
"family": "example-string",
"size": "example-string"
},
"group_heading": {
"bold": true,
"family": "example-string"
},
"heading": {
"bold": true,
"family": "example-string"
},
"line_item": {
"bold": true,
"family": "example-string"
},
"navigation": {
"bold": true,
"family": "example-string"
},
"pricing": {
"bold": true,
"family": "example-string"
}
},
"logo": {
"height": 100,
"url": "example-string",
"width": 100
},
"styling": {
"button_border_width": 100,
"button_radius": 100,
"button_shadow": 100,
"group_radius": 100,
"group_shadow": 100,
"page_radius": 100,
"quantity_radius": 100
}
},
"integrations": {
"crm": {
"client_id": "example-string",
"provider": "pipedrive",
"deal_id": "example-string",
"deal_metadata": {
"last_synced_at": "example-string",
"last_synced_price": 100,
"title": "example-string"
},
"deal_url": "example-string"
},
"payment": {
"settings": {
"deposit_amount": 100,
"deposit_percentage": 100,
"enabled": true,
"frequency": "example-string",
"type": "percentage"
},
"transactions": [
{}
]
}
},
"is_library": true,
"is_starred": true,
"is_template": true,
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{
"emails": [
"example-string"
],
"event": "proposal_sent",
"id": "example-string"
}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{
"email": "example-string",
"full_name": "example-string",
"id": "example-string",
"role": "example-string"
}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"status_detail": {
"acceptance": {
"accepted_at": "example-string",
"full_name": "example-string",
"ip_address": "example-string",
"user_agent": "example-string"
},
"cancellation_note": "example-string",
"closed_proposal_note": "example-string",
"marked_as_won_method": "manual",
"signature_events": [
{
"timestamp": "example-string",
"type": "example-string"
}
],
"signatures": [],
"signed_pdf_url": "example-string"
},
"timestamps": {
"firstViewed": "example-string",
"lastViewed": "example-string",
"lost": "example-string",
"sent": "example-string",
"won": "example-string"
},
"updated_at": "example-string",
"updated_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "example-string",
"message": "example-string"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Update proposal details such as name, description, or client information
DRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED{
"custom_variables": [
{
"id": "example-string",
"label": "example-string",
"order": 100,
"type": "single-line",
"value": "example-string",
"created_at": "example-string",
"options": [
"example-string"
],
"required": true,
"source": "example-string",
"who_provides": "we-do"
}
],
"design": {
"backgrounds": {
"main": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
},
"page": {
"attachment": "example-string",
"colors": {
"background": "example-string",
"font": "example-string"
},
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
}
},
"colors": {
"group_heading": {
"background": "example-string",
"checkbox": "example-string",
"checkmark": "example-string",
"quantity": "example-string",
"quantity_font": "example-string",
"text": "example-string"
},
"logo": {
"background": "example-string",
"divider_line": "example-string",
"url": "example-string"
},
"primary_button_background": "example-string",
"primary_button_border_color": "example-string",
"primary_button_color": "example-string",
"proposal_header": {
"background": "example-string",
"text": "example-string"
},
"proposal_navigation": {
"background": "example-string",
"highlight_border": "example-string",
"highlight_color": "example-string",
"link": "example-string",
"selected_link": "example-string"
},
"secondary_button_background": "example-string",
"secondary_button_border_color": "example-string",
"secondary_button_color": "example-string"
},
"fonts": {
"button": {
"bold": true,
"family": "example-string"
},
"content": {
"bold": true,
"family": "example-string"
},
"default": {
"bold": true,
"family": "example-string",
"size": "example-string"
},
"group_heading": {
"bold": true,
"family": "example-string"
},
"heading": {
"bold": true,
"family": "example-string"
},
"line_item": {
"bold": true,
"family": "example-string"
},
"navigation": {
"bold": true,
"family": "example-string"
},
"pricing": {
"bold": true,
"family": "example-string"
}
},
"logo": {
"height": 100,
"url": "example-string",
"width": 100
},
"styling": {
"button_border_width": 100,
"button_radius": 100,
"button_shadow": 100,
"group_radius": 100,
"group_shadow": 100,
"page_radius": 100,
"quantity_radius": 100
}
},
"integrations": {
"crm": {
"client_id": "example-string",
"provider": "pipedrive",
"deal_id": "example-string",
"deal_metadata": {
"last_synced_at": "example-string",
"last_synced_price": 100,
"title": "example-string"
},
"deal_url": "example-string"
},
"payment": {
"settings": {
"deposit_amount": 100,
"deposit_percentage": 100,
"enabled": true,
"frequency": "example-string",
"type": "percentage"
}
}
},
"is_template": true,
"name": "example-string",
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{
"emails": [
"example-string"
],
"event": "proposal_sent",
"id": "example-string"
}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{
"email": "example-string",
"full_name": "example-string",
"id": "example-string",
"role": "example-string"
}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"status": "DRAFT",
"status_detail": {
"acceptance": {
"accepted_at": "example-string",
"full_name": "example-string",
"ip_address": "example-string",
"user_agent": "example-string"
},
"cancellation_note": "example-string",
"closed_proposal_note": "example-string",
"marked_as_won_method": "manual",
"signature_events": [
{
"timestamp": "example-string",
"type": "example-string"
}
],
"signatures": [],
"signed_pdf_url": "example-string"
}
}DRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED{
"created_at": "example-string",
"created_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"id": "example-string",
"name": "example-string",
"status": "DRAFT",
"updated_at": "example-string",
"updated_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"archived": true,
"archived_at": "example-string",
"cached_totals": {
"annually": {
"max": 100,
"min": 100
},
"currency": "example-string",
"monthly": {
"max": 100,
"min": 100
},
"once": {
"max": 100,
"min": 100
},
"quarterly": {
"max": 100,
"min": 100
},
"updated_at": "example-string"
},
"is_starred": true,
"is_template": true,
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{
"emails": [
"example-string"
],
"event": "proposal_sent",
"id": "example-string"
}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{
"email": "example-string",
"full_name": "example-string",
"id": "example-string",
"role": "example-string"
}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"status_detail": {
"marked_as_won_method": "manual"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Delete a proposal and all its associated items. The proposal will no longer appear in listings.
{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Retrieve analytics events for a specific proposal. Requires authentication and org access.
proposal_viewedproposal_sentstatus_changedproposal_signedpdf_viewedsignature_request_sent{
"data": [
{
"event_timestamp": "2024-01-20T15:30:00Z",
"event_type": "example-string",
"id": "example-string",
"metadata": {},
"user": {
"email": "example-string",
"full_name": "example-string",
"public_id": "example-string"
}
}
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Archive a proposal by setting its archived_at timestamp. Archived proposals are excluded from default listings and become read-only.
{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": "example-string"
}{
"error": "example-string"
}{
"error": "example-string"
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Archive multiple items (line items, groups) from a proposal
{
"itemIds": [
"example-string"
]
}{
"errors": [
"example-string"
],
"message": "example-string"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Create a complete copy of an existing proposal with all its groups, items, and pages
{
"name": "example-string"
}{
"data": {
"id": "example-string"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Generate a PDF document for the specified proposal. Returns the PDF as a binary download.
{}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Star a proposal for the current user. Starred proposals appear first in listings. This operation is idempotent - starring an already-starred proposal has no effect.
{
"is_starred": true
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Unarchive a proposal by clearing its archived_at timestamp. The proposal will return to active status and become editable again.
{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": "example-string"
}{
"error": "example-string"
}{
"error": "example-string"
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Remove the star from a proposal for the current user. This operation is idempotent - unstarring a proposal that is not starred has no effect.
{
"is_starred": true
}{
"error": {
"code": "UNAUTHORIZED",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "example-string",
"details": {}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "example-string",
"details": {}
}
}Billing frequency for recurring items
onceOne-time onlymonthlyOnce a monthquarterlyOnce every 3 monthsannuallyOnce a yearweeklyOnce a weekbiweeklyOnce every two weekssemi-monthlyTwice a monthsemi-annuallyTwice a year"once"Configuration for discounts applied to line items
unitlinegroupscopepercentagefixed{
"added": true,
"amount": 100,
"isSelected": true,
"scope": "unit",
"type": "percentage"
}Price configuration - discriminated union of pricing models The 'model' field determines which configuration type is used
{
"frequency": "once",
"model": "fixed",
"discount": {
"added": true,
"amount": 100,
"isSelected": true,
"scope": "unit",
"type": "percentage"
},
"isRange": true,
"maxValue": 100,
"quantity": {
"editableByRecipient": true,
"max": 100,
"min": 100,
"current": 100,
"unitLabel": "example-string"
},
"value": 100
}Configuration for item quantity settings
{
"editableByRecipient": true,
"max": 100,
"min": 100,
"current": 100,
"unitLabel": "example-string"
}Summary of a proposal for use in list views
DRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED{
"created_at": "example-string",
"created_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"id": "example-string",
"name": "example-string",
"status": "DRAFT",
"updated_at": "example-string",
"updated_by": {
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
},
"archived": true,
"archived_at": "example-string",
"cached_totals": {
"annually": {
"max": 100,
"min": 100
},
"currency": "example-string",
"monthly": {
"max": 100,
"min": 100
},
"once": {
"max": 100,
"min": 100
},
"quarterly": {
"max": 100,
"min": 100
},
"updated_at": "example-string"
},
"is_starred": true,
"is_template": true,
"settings": {
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true,
"notifications": {
"override_account_defaults": true,
"rules": [
{
"emails": [
"example-string"
],
"event": "proposal_sent",
"id": "example-string"
}
]
},
"recipient": {
"address": "example-string",
"contact": {
"email": "example-string",
"name": "example-string",
"phone": "example-string"
},
"name": "example-string",
"website": "example-string"
},
"signing": {
"additional_signers": [
{
"email": "example-string",
"full_name": "example-string",
"id": "example-string",
"role": "example-string"
}
],
"company_signer": "example-string",
"custom_company_signer_email": "example-string",
"custom_company_signer_name": "example-string",
"is_contact_signer": true,
"is_multiple_signers": true,
"override_signature_page_defaults": true,
"recipient_signer": {
"email": "example-string",
"full_name": "example-string"
},
"signature_page_agreement_text": "example-string",
"signature_page_client_label": "example-string",
"signature_page_company_label": "example-string",
"use_accept": true
}
},
"status_detail": {
"marked_as_won_method": "manual"
}
}Discriminated union for page children (groups and side-by-sides). Both share order_key from the same namespace for interleaved ordering.
{
"displayCost": "show_all",
"id": "example-string",
"isOptional": true,
"isSelected": true,
"kind": "group",
"lineItems": [
{
"children": [
{
"id": "example-string",
"isOptional": true,
"isSelected": true,
"markupExempt": true,
"name": "example-string",
"taxExempt": true,
"archived_at": "example-string",
"created_at": "example-string",
"description": "example-string",
"integrations": {
"quickbooks": {
"productId": "example-string"
}
},
"is_archived": true,
"kind": "mod",
"label": "example-string",
"selectionType": "single",
"updated_at": "example-string"
}
],
"description": "example-string",
"id": "example-string",
"isOptional": true,
"isSelected": true,
"markupExempt": true,
"name": "example-string",
"price": {
"frequency": "once",
"model": "fixed",
"isRange": true,
"maxValue": 100,
"value": 100
},
"taxExempt": true,
"archived_at": "example-string",
"childCount": 100,
"created_at": "example-string",
"hidden": true,
"hideModifications": true,
"in_library": true,
"integrations": {
"quickbooks": {
"productId": "example-string"
}
},
"internalNotes": "example-string",
"is_archived": true,
"label": "example-string",
"modificationsLabel": "example-string",
"order_key": 100,
"parent_id": "example-string",
"selectionType": "single",
"startExpanded": true,
"tags": [
"example-string"
],
"updated_at": "example-string"
}
],
"name": "example-string",
"selectionType": "single",
"archived_at": "example-string",
"created_at": "example-string",
"description": "example-string",
"hideQuantities": true,
"in_library": true,
"is_archived": true,
"linkedScopeId": "example-string",
"order_key": 100,
"quantity": {
"editableByRecipient": true,
"max": 100,
"min": 100,
"current": 100,
"unitLabel": "example-string"
},
"startExpanded": true,
"tags": [
"example-string"
],
"updated_at": "example-string"
}Visual design settings for a specific page
{
"backgroundAttachment": "example-string",
"backgroundColor": "example-string",
"backgroundImage": "example-string",
"backgroundOpacity": 100,
"backgroundPosition": "example-string",
"backgroundRepeat": "example-string",
"backgroundSize": "example-string",
"fontColor": "example-string"
}CRM integration data in API (snake_case) format. ProposalCRMData is the DB/internal format (camelCase); this is the API-facing format.
pipedrivehubspotzohogohighlevel{
"client_id": "example-string",
"deal_id": "example-string",
"deal_metadata": {
"last_synced_at": "example-string",
"last_synced_price": 100,
"title": "example-string"
},
"deal_url": "example-string"
}API-facing proposal settings (snake_case keys)
{
"avoid_line_item_page_breaks": true,
"currency": "example-string",
"disable_proposal_access": true,
"email_draft": {
"last_saved": "example-string",
"message": "example-string",
"recipients": "example-string",
"subject": "example-string"
},
"expiring_on": "example-string",
"hide_pdf_download": true,
"include_modifications_in_line_item_price": true
}Payment configuration stored in proposals.attrs.settings.payment (This mirrors IntegrationSettings.payment from settings.ts)
percentagefixed{
"deposit_amount": 100,
"deposit_percentage": 100,
"enabled": true,
"frequency": "example-string",
"type": "percentage"
}A price range with minimum and maximum values
{
"max": 100,
"min": 100
}Cached pricing totals for the proposal
{
"currency": "example-string",
"updated_at": "example-string"
}A custom variable that can be used in proposal content
single-linemulti-linenumberdatedropdownwe-docustomer-does{
"id": "example-string",
"label": "example-string",
"order": 100,
"type": "single-line",
"value": "example-string",
"created_at": "example-string",
"options": [
"example-string"
],
"required": true,
"source": "example-string",
"who_provides": "we-do"
}Visual design settings for the proposal
{
"colors": {
"group_heading": {
"background": "example-string",
"checkbox": "example-string",
"checkmark": "example-string",
"quantity": "example-string",
"quantity_font": "example-string",
"text": "example-string"
},
"logo": {
"background": "example-string",
"divider_line": "example-string",
"url": "example-string"
},
"primary_button_background": "example-string",
"primary_button_border_color": "example-string",
"primary_button_color": "example-string",
"proposal_header": {
"background": "example-string",
"text": "example-string"
},
"proposal_navigation": {
"background": "example-string",
"highlight_border": "example-string",
"highlight_color": "example-string",
"link": "example-string",
"selected_link": "example-string"
},
"secondary_button_background": "example-string",
"secondary_button_border_color": "example-string",
"secondary_button_color": "example-string"
},
"fonts": {
"button": {
"bold": true,
"family": "example-string"
},
"content": {
"bold": true,
"family": "example-string"
},
"default": {
"bold": true,
"family": "example-string",
"size": "example-string"
},
"group_heading": {
"bold": true,
"family": "example-string"
},
"heading": {
"bold": true,
"family": "example-string"
},
"line_item": {
"bold": true,
"family": "example-string"
},
"navigation": {
"bold": true,
"family": "example-string"
},
"pricing": {
"bold": true,
"family": "example-string"
}
},
"logo": {
"height": 100,
"url": "example-string",
"width": 100
},
"styling": {
"button_border_width": 100,
"button_radius": 100,
"button_shadow": 100,
"group_radius": 100,
"group_shadow": 100,
"page_radius": 100,
"quantity_radius": 100
}
}Background image settings for a proposal section
{
"attachment": "example-string",
"image": "example-string",
"opacity": 100,
"position": "example-string",
"repeat": "example-string",
"size": "example-string"
}Proposal status
DRAFTSENTPENDINGCANCELLEDWONLOSTEXPIRED"DRAFT"Write-side integrations input (transactions are server-managed, not client-writable)
{
"payment": {}
}Status lifecycle and resolution details for a proposal
manualdigital_signatureacceptancenull{
"cancellation_note": "example-string",
"closed_proposal_note": "example-string",
"marked_as_won_method": "manual",
"signature_events": [
{
"timestamp": "example-string",
"type": "example-string"
}
],
"signatures": [],
"signed_pdf_url": "example-string"
}User profile embedded in proposal responses (used for both created_by and updated_by)
{
"email": "example-string",
"id": "example-string",
"name": "example-string",
"avatar_url": "example-string"
}